| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::detail::tracking::tbm::TrackedObject Struct Reference

The TrackedObject struct defines properties of detected object. More...

`#include <opencv2/tracking/tracking_by_matching.hpp>`

Collaboration diagram for cv::detail::tracking::tbm::TrackedObject:

## Public Member Functions
| TrackedObject ()
| Default constructor.
| TrackedObject (const cv::Rect &rect, float confidence, int frame_idx, int object_id)
| Constructor with parameters.

## Public Attributes
double | confidence
| Detection confidence level (-1 if N/A).
int | frame_idx
| Frame index where object was detected (-1 if N/A).
int | object_id
| Unique object identifier (-1 if N/A).
cv::Rect | rect
| Detected object ROI (zero area if N/A).
uint64_t | timestamp
| Timestamp in milliseconds.

## Detailed Description

The TrackedObject struct defines properties of detected object.

## Constructor & Destructor Documentation

## ◆ TrackedObject() [1/2]

cv::detail::tracking::tbm::TrackedObject::TrackedObject | ( |  | ) |
| inline

Default constructor.

## ◆ TrackedObject() [2/2]

cv::detail::tracking::tbm::TrackedObject::TrackedObject | ( | const cv::Rect & | rect,
|  | float | confidence,
|  | int | frame_idx,
|  | int | object_id )
| inline

Constructor with parameters.

Parameters

  rect | Bounding box of detected object.
  confidence | Confidence of detection.
  frame_idx | Index of frame.
  object_id | Object ID.

## Member Data Documentation

## ◆ confidence

double cv::detail::tracking::tbm::TrackedObject::confidence

Detection confidence level (-1 if N/A).

## ◆ frame_idx

int cv::detail::tracking::tbm::TrackedObject::frame_idx

Frame index where object was detected (-1 if N/A).

## ◆ object_id

int cv::detail::tracking::tbm::TrackedObject::object_id

Unique object identifier (-1 if N/A).

## ◆ rect

cv::Rect cv::detail::tracking::tbm::TrackedObject::rect

Detected object ROI (zero area if N/A).

## ◆ timestamp

uint64_t cv::detail::tracking::tbm::TrackedObject::timestamp

Timestamp in milliseconds.

The documentation for this struct was generated from the following file:

- opencv2/tracking/tracking_by_matching.hpp